EGG2X(1)

NAME
egg2x - convert an .egg file into a DirectX .x file

SYNOPSIS
egg2x [opts] input.egg output.x
egg2x [opts] -o output.x input.egg

DESCRIPTION
This program reads an Egg file and outputs an equivalent, or nearly equivalent, DirectX-style .x file. Only simple hierarchy and polygon meshes are supported; advanced features like LOD's, decals, and animation or skinning are not supported.

OPTIONS

-noabs
    Don't allow the input egg file to have absolute pathnames. If it does, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-m  Convert all the objects in the egg file as one big mesh, instead of preserving the normal egg hierarchy.

-td dirname
    Copy textures to the indicated directory. The copy is performed only if the destination file does not exist or is older than the source file.

-te ext
    Rename textures to have the indicated extension. This also automatically copies them to the new filename (possibly in a different directory if -td is also specified), and may implicitly convert to a different image format according to the extension.

-tt type
    Explicitly specifies the image format to convert textures to when copying them via -td or -te. Normally, this is unnecessary as the image format can be determined by the extension, but sometimes the extension is insufficient to unambiguously specify an image type.

-delod dist
    Eliminate LOD's by choosing the level that would be appropriate for a camera at the indicated fixed distance from each LOD. Use -delod -1 to keep all the LOD's as they are. The default value is 0.

-o filename
    Specify the filename to which the resulting DirectX file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file.

-h  Display this help page.